
/**
 * Attaches the calendar behavior to all required fields
 */
(function ($) {
Drupal.behaviors.date_popup = {
  attach: function (context) {
  for (var id in Drupal.settings.datePopup) {
    $('#'+ id).bind('focus', Drupal.settings.datePopup[id], function(e) {
      if (!$(this).hasClass('date-popup-init')) {
        var datePopup = e.data;
        // Explicitely filter the methods we accept.
        switch (datePopup.func) {
          case 'datepicker':
		  if(this.id == 'edit-field-timesheet-date-und-0-value-datepicker-popup-0')
		  {
			  var date = new Date();
            $(this)
              .datepicker({
				maxDate: new Date(date.getFullYear(), date.getMonth(), date.getDate()),
				minDate : '-3Y'
				})
              .addClass('date-popup-init')
            $(this).click(function(){
			   	$(this).datepicker("option", "dateFormat", "dd/mm/yy");
            	$(this).focus();
            });
			$(this).keyup(function(){
              	$(this).val('');
				$(this).datepicker("hide");
            });
            
		  }
		  else
		  {
			$(this)
              .datepicker(datePopup.settings)
              .addClass('date-popup-init')
            $(this).click(function(){
				$(this).datepicker();
              	$(this).focus();
            });  
		  }
            break;
			
          case 'timeEntry':
            $(this)
              .timeEntry(datePopup.settings)
              .addClass('date-popup-init')
            $(this).click(function(){
              $(this).focus();
            });
            break;
          case 'timepicker':
            // Translate the PHP date format into the style the timepicker uses.
            datePopup.settings.timeFormat = datePopup.settings.timeFormat
              .replace('h', 'hh')  // 12-hour, leading zero
              .replace('g', 'h')   // 12-hour, no leading zero
              .replace('H', 'HH')  // 24-hour, leading zero
              .replace('G', 'H')   // 24-hour, no leading zero
              .replace('A', 'p')   // AM/PM
              .replace('i', 'mm')  // minutes with leading zero
              .replace('s', 'ss'); // seconds with leading zero

            datePopup.settings.startTime = new Date(datePopup.settings.startTime);
            $(this)
              .timepicker(datePopup.settings)
              .addClass('date-popup-init');
            $(this).click(function(){
              $(this).focus();
            });
            break;
        }
      }
    });
  }
  }
};
})(jQuery);
